#include <iostream>
#include <alibavaClient.h>


int main(int argc, char **argv)
{
    const char *uri = "http://localhost:10000";
    Alibava client;

    if (argv[1])
        uri = argv[1];

    client.connect(uri);

    client.Reset();

    ns1__Status status;
    client.getStatus(status);
    std::cout << "Status:" << std::endl;
    std::cout << status << std::endl;

    client.startPedestalRun(5000, false);
    client.getStatus(status);
    std::cout << "Status:" << std::endl;
    std::cout << status << std::endl;

    client.startLaserRun(5000, false);
    client.getStatus(status);
    std::cout << "Status:" << std::endl;
    std::cout << status << std::endl;

    client.setParameter("fileFormat", "hdf5");
    client.setDataFile("/tmp/data_file.dat");
    client.startSourceRun(10000, false);
    client.getStatus(status);
    std::cout << "Status:" << std::endl;
    std::cout << status << std::endl;
    client.get_histogram(0)->Print(std::cout);

    return 0;
}
