%
% Process a whole file
%
function sig = process_dataset(S, pedestal, noise)
  [nchan, nevts] = size(S);
  
  sig = zeros(0,1);
  for ievt = 1:nevts
    [ss, sn, cm] = process_event(ievt, S, pedestal, noise);
    channels = find(sn>5.0);
    sz = size(channels);
    nchan = sz(1);
    if ( nchan==1 ) % We do not know how to make clusters yet...
      for ic = 1:nchan
        sig(end+1) = ss( channels(ic) );
      end
    end
  end
end
